# Copyright (C) 2005 by Aaron Bentley

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
import bzrlib
from bzrlib import Branch
from bzrlib.diff import diff_trees
import sys
bzrlib.trace.create_tracefile([])

def has_changes(cur_branch):
    old_tree = cur_branch.basis_tree()
    new_tree = cur_branch.working_tree()
    for file_state, fid, old_name, new_name, kind in \
        bzrlib.diff_trees(old_tree, new_tree):
        if file_state not in ('I', '.'):
            return True
    return False

cur_branch = Branch(".")

if has_changes(cur_branch):
    print "Error: This tree has uncommitted changes."
    sys.exit(1)
location = cur_branch.controlfilename("pull-location")

